FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000742FL52.2 Subprogram FLUC (CONV)public2015-10-29 08:192016-09-20 16:25
ReporterFalk Reichbott 
Assigned ToMykhailo Moldavskyy 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformGeneralOSGeneralOS VersionGeneral
Product Version 
Target Version5.1.13Fixed in Version5.1.13 
Summary0000742: Support of PGP key rings in FLAM
DescriptionCurrently we support PKCS#11 and CCA/ICSF based hard ware security modules for PGP. Additional we plan to support OpenPGP key rings. This will be a software pased solution compatible with GnuPG key rings.
Additional InformationThe solution will also improve the HSM based FKM5 modules using an addtonal optional PGP key ring containing the certificates, to support all PGP cabebilities in key management point of view.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001024)
Falk Reichbott (administrator)
2016-09-20 16:25

The PGP-KeyRing support is now the software solution for PGP file encryption with FLAM. It supports public and private key files conform to RFC4880 including all basic key management functionality incldung merge of certificates. The support is compatible with OpenPGP/GnuPG-KeyRing-Files. With 5.1.13 the key rings files can also be on a remote system and accessed via SSH.

For CCA a new variant of PGP support is available. It use a PGP trust store together with the PKDS of the CCA/ICSF-HSM. This solution supports all features of OpenPGP including key access via email address aso.

- Issue History
Date Modified Username Field Change
2015-10-29 08:19 Falk Reichbott New Issue
2015-10-29 08:19 Falk Reichbott Status new => assigned
2015-10-29 08:19 Falk Reichbott Assigned To => Mykhailo Moldavskyy
2015-11-23 20:37 Falk Reichbott Target Version 5.1.10 => 5.1.11
2016-03-21 09:21 Falk Reichbott Target Version 5.1.11 => 5.1.12
2016-03-21 09:21 Falk Reichbott Additional Information Updated View Revisions
2016-05-12 18:41 Falk Reichbott Target Version 5.1.12 => 5.1.13
2016-09-20 16:25 Falk Reichbott Note Added: 0001024
2016-09-20 16:25 Falk Reichbott Status assigned => resolved
2016-09-20 16:25 Falk Reichbott Fixed in Version => 5.1.13
2016-09-20 16:25 Falk Reichbott Resolution open => fixed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker